<?php
/**
 * @package Lawyer Consultant
 */

//Return if the first widget area has no widgets
if ( !is_active_sidebar( 'footer-1' ) ) {
	return;
} ?>

<?php //user selected widget columns

	$lawyer_consultant_widget_num = esc_html(get_theme_mod('lawyer_consultant_footer_widgets', '4'));
	
	if ($lawyer_consultant_widget_num == '4') :
		$lawyer_consultant_col1 ='col-md-3';
		$lawyer_consultant_col2 ='col-md-3';
		$lawyer_consultant_col3 ='col-md-3';
		$lawyer_consultant_col4 ='col-md-3';
	elseif ($lawyer_consultant_widget_num == '3') :
		$lawyer_consultant_col1 ='col-md-4';
		$lawyer_consultant_col2 ='col-md-4';
		$lawyer_consultant_col3 ='col-md-4';
		
	elseif ($lawyer_consultant_widget_num == '2') :
		 $lawyer_consultant_col1 ='col-md-6';
		 $lawyer_consultant_col2 ='col-md-6';
	else :
		$lawyer_consultant_col1 ='col-md-12';
	endif;
?>
		
<?php 
	if ( is_active_sidebar( 'footer-1' ) && ( $lawyer_consultant_widget_num == '4' || $lawyer_consultant_widget_num == '3' || $lawyer_consultant_widget_num == '2' || $lawyer_consultant_widget_num == '1')) :
		?>
			<div class="widget-column <?php echo esc_attr($lawyer_consultant_col1); ?>">
				<?php dynamic_sidebar( 'footer-1'); ?>
			</div>
		<?php
	endif;
	if ( is_active_sidebar( 'footer-2' ) && ( $lawyer_consultant_widget_num == '4' || $lawyer_consultant_widget_num == '3' || $lawyer_consultant_widget_num == '2')) :
		?>
			<div class="widget-column <?php echo esc_attr($lawyer_consultant_col2); ?>">
				<?php dynamic_sidebar( 'footer-2'); ?>
			</div>
		<?php
	endif;
	if ( is_active_sidebar( 'footer-3' ) && ( $lawyer_consultant_widget_num == '4' || $lawyer_consultant_widget_num == '3' )) :
		?>
			<div class="widget-column <?php echo esc_attr($lawyer_consultant_col3); ?>">
				<?php dynamic_sidebar( 'footer-3'); ?>
			</div>
		<?php
	endif;
	if ( is_active_sidebar( 'footer-4' ) && ( $lawyer_consultant_widget_num == '4' )) :
		?>
			<div class="widget-column <?php echo esc_attr($lawyer_consultant_col4); ?>">
				<?php dynamic_sidebar( 'footer-4'); ?>
			</div>
		<?php
	endif;
?>